System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeFormatter

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The class establishes a common request-writing format for client-side writing of Web method parameters into HTTP request streams.

You will typically not need to use or its descendant classes directly. Instead, when the Wsdl.exe tool generates client proxy code according to the HTTP-GET or HTTP-POST implementations, it applies the to each Web method and sets the attribute's property to the appropriate type.

Provides a common base implementation for writers of out-going request parameters for Web service clients implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` ``

  Of the classes derived from , only modifies the HTTP request URL.

  When overridden in a derived class, modifies the outgoing HTTP request's Uniform Request Locator (URL).

  A object that contains the modified, outgoing HTTP request's Uniform Request Locator (URL).

  The HTTP request's original Uniform Resource Locator (URL). The Web method parameter values to be added to the URL, if necessary. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Of the classes derived from , only implements the method.

  When overridden in a derived class, initializes the out-going HTTP request.

  The out-going request, where the class allows transport protocols besides HTTP. The Web method parameter values. 1.0.5000.0 2.0.0.0
- Property
  System.Text.Encoding a

  An encoding, as represented by the class, defines how to transform characters into a sequence of bytes.

  Gets or sets the encoding used to write parameters to the HTTP request.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  The property determines whether the method is invoked.

  The class's implementation of returns a value of false. The only derived class that overrides is , whose implementation returns a value of true.

  Gets a value that indicates whether Web method parameter values are serialized to the out-going HTTP request body.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  Of the classes derived from , only implements the method.

  When overridden in a derived class, serializes Web method parameter values into a stream representing the outgoing HTTP request body.

  An input stream for the outgoing HTTP request's body. The Web method parameter values. 1.0.5000.0 2.0.0.0